9 years ago[packages] minidlna: Renumber and refresh patches
acinonyx []
[packages] minidlna: Renumber and refresh patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26530 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Remove empty patches
acinonyx []
[packages] minidlna: Remove empty patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26528 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Update copyright notice
acinonyx []
[packages] minidlna: Update copyright notice

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26527 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] minidlna: Version bump Minidlna 1.0.19
acinonyx []
[packages] minidlna: Version bump Minidlna 1.0.19

Version bump minidlna to 1.0.19. I didn't find an official changelog. Reading a diff looks like a change in license from GPL v2 or later to strict GPL v2, as well as bug fixes and translation updates. It's streaming as expected. Two patches were rebased.

Signed-off-by: Ian Leonard <antonlacon@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26526 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] asterisk-1.8.x: have chan-iax2 depend on new package res-crypto
zandbelt []
[packages] asterisk-1.8.x: have chan-iax2 depend on new package res-crypto

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26508 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] avahi: Update avahi to version 0.6.30 (ref Ticket 7424, , ipv6)
acinonyx []
[packages] avahi: Update avahi to version 0.6.30 (ref Ticket 7424, , ipv6)

This updates the avahi package to the latest version, 0.6.30.

>From the avahi release notes:

"This is a bugfix release.

Make IPv6 work again
i18n updates
Minor other updates"

It may be relevant to ticket 7424.

(A few typos in the OpenWrt Makefile are also fixed.)

Signed-off-by: Mike Brady <mikebrady@eircom.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26502 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] libX11: add a patch from ubuntu that lets libX11 build a postscript file using newer groff (thanks Russell Senior)
acinonyx []
[packages] libX11: add a patch from ubuntu that lets libX11 build a postscript file using newer groff (thanks Russell Senior)

This applies to the packages feed. It fixes a case with newer groff
returning different warming messages than expected by the libX11 build
infrastructure expects. This patch was shamelessly swiped from Ubuntu's
package.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26501 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/wavemon: update to version 0.7.2, include some upstream patches
acoul []
net/wavemon: update to version 0.7.2, include some upstream patches


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26500 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] asterisk-1.8.x: update to asterisk 1.8.3.2; fix astdatadir; add dependency parameter to module template
zandbelt []
[packages] asterisk-1.8.x: update to asterisk 1.8.3.2; fix astdatadir; add dependency parameter to module template

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26497 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Removed dependency and linking to libip6tc as ipv6 isn't used with miniupnpd.
cshore []
[net] Firewall: miniupnpd: Removed dependency and linking to libip6tc as ipv6 isn't used with miniupnpd.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26496 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] {nacl,quicktun}: Add missing copyright notices
acinonyx []
[packages] {nacl,quicktun}: Add missing copyright notices

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26490 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Add dependency to kmod-tun
acinonyx []
[packages] quicktun: Add dependency to kmod-tun

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26489 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Improve QuickTun init script
acinonyx []
[packages] quicktun: Improve QuickTun init script

The new init script won't fail if quicktun takes more than 1 second to start.

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26488 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quicktun: Update QuickTun to version 2.1.6
acinonyx []
[packages] quicktun: Update QuickTun to version 2.1.6

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26487 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] nacl: Update NaCl to version 20110221
acinonyx []
[packages] nacl: Update NaCl to version 20110221

Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26486 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Newer upstream. Dropped patches now included upstream.
cshore []
[net] Firewall: miniupnpd: Newer upstream. Dropped patches now included upstream.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26481 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn: fix paths to ifconfig, ip and route utilities (#9184)
jow []
[packages] openvpn: fix paths to ifconfig, ip and route utilities (#9184)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26480 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Fixed miniupnpd attaching to shell when extra logging enabled. Fixed duplicated log messages when doing extra logging and removed unnecessary eval.
cshore []
[net] Firewall: miniupnpd: Fixed miniupnpd attaching to shell when extra logging enabled. Fixed duplicated log messages when doing extra logging and removed unnecessary eval.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26478 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] proftpd: update to 1.3.3e
obsy []
[packages] proftpd: update to 1.3.3e

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26477 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoaccount for more sdcc variants
thepeople []
account for more sdcc variants

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26475 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] newt: Fixed cross-compilation error due to attempt to use host Python by disabling build of snackmodule (a python module) which we weren't shipping anyway.
cshore []
[libs] newt: Fixed cross-compilation error due to attempt to use host Python by disabling build of snackmodule (a python module) which we weren't shipping anyway.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26474 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonewer versions of sdcc dropped support for xa51, compiles fine without so change the ckeck for sdcc
thepeople []
newer versions of sdcc dropped support for xa51, compiles fine without so change the ckeck for sdcc

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26473 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Firewall: miniupnpd: Fixed dependencies on libip4tc and libip6tc explicity. (Closes #9173)
cshore []
[net] Firewall: miniupnpd: Fixed dependencies on libip4tc and libip6tc explicity. (Closes #9173)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26461 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] minidlna/ffmpeg: add minidlna profile to ffmpeg
florian []
[package] minidlna/ffmpeg: add minidlna profile to ffmpeg

This adds a profile to ffmpeg to support minidlna, similar to the
libdlna/ushare profile. When minidlna encounters media, it uses ffmpeg to
figure out what it is. If ffmpeg fails to open it, then minidlna will try
and fail to read the file on its own. The profile may need to be extended;
I attempted to cover all popular formats for dlna streaming.

Tested with the following container/codec combinations:

mkv with ac3/h264/srt
mp4 with aac/h264/ttxt
ogg vorbis
flac
mp3

Should also be able to handle, but untested:
mpeg
avi
xvid
jpeg
png
wmv1
wmv2

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26450 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] ffmpeg: expose additionnal configuration options (#7837, #8831)
florian []
[package] ffmpeg: expose additionnal configuration options (#7837, #8831)

This series, along with previous applied patches, should close tickets #7837 and #8831.

This patch exposes additional decoders and demuxers for FFmpeg in menuconfig, along with other minor changes.

Additional decoders:
flac (Free Lossless Audio Codec)

Additional demuxers:
aac
avi
flac
matroska
mov (mov/mp4/m4a/3gp/3g2/mj2)

zlib is required on matroska/mov to handle compressed headers.

Minor changes:
mp3 demuxer to require the mpegaudio parser. Doesn't do much without it. Matches current ffmpeg behavior.

--target-os=linux as a compile flag. This will be required when cross-compiling in the 0.6 branch, and does no harm here.

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26449 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoadd ethtool patch for ixp4xx
luka []
add ethtool patch for ixp4xx

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26448 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade file
luka []
upgrade file

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26447 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupgrade ethtool
luka []
upgrade ethtool

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26446 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dmapd to new upstream version; properly build BDB module
flyn []
Update dmapd to new upstream version; properly build BDB module


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26428 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dmapd and libdmapsharing to new upstream versions; use BDB module by default
flyn []
Update dmapd and libdmapsharing to new upstream versions; use BDB module by default


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26421 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate to 7.24.1
flyn []
Update to 7.24.1

Also:
remove the dependency on imagemagick and libfreetype to keep the library small
use --disable-debug and --disable-gtk-doc
add a patch to fix --tag=CXX issue; autotools is being stubborn about compiling as C++


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26420 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoVersion Bump Rsync 3.0.8 Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>
dingo []
Version Bump Rsync 3.0.8 Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26399 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[privoxy]
blogic []
[privoxy]

Update privoxy to 3.0.17. This is a maintenance release.

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26389 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] haproxy: bump to version 1.4.14
heil []
[packages] haproxy: bump to version 1.4.14



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26388 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[patch-team] update wing to 20110329 - Signed off by Roberto Riggio <roberto.riggio@create-net.org>
dingo []
[patch-team] update wing to 20110329 - Signed off by Roberto Riggio <roberto.riggio@create-net.org>


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26386 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate at package - forgot to add patch
luka []
update at package - forgot to add patch

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26385 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoupdate at package
luka []
update at package

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26384 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] flashrom: use msr path compatible w/ hotplug2
florian []
[package] flashrom: use msr path compatible w/ hotplug2

The issue wasn't that flashrom-0.9.3 was broken, but that the incompatible device path put the box into a funky state that couldn't be reverted.

This fix causes it to use the hotplug2 path.

With this, we don't need to revert to 0.9.1, superseding my early patch to revert...

Signed-off-by: Philip Prindeville <philipp@redfish-solutions.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26381 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] add wattsup
florian []
[package] add wattsup

This patch adds a command line utility to interface with the WattsUp
power meters (https://www.wattsupmeters.com/)

Signed-off-by: Roberto Riggio<roberto.riggio@create-net.org>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26380 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] pmacct: add uacctd
florian []
[package] pmacct: add uacctd

This patch add uacctd, an ulog based accounting deamon from pmacct project (http://www.pmacct.net/)
It also put all pmacct packages in a submenu called (13 packages)

Thanks in advance.

Signed-off-by: Etienne CHAMPETIER <etienne.champetier@free.fr>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26379 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] openvpn: update to 2.1.4, thanks obsy
loswillios []
[packages] openvpn: update to 2.1.4, thanks obsy

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26376 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dependencies for dmapd and libdmapsharing
flyn []
Update dependencies for dmapd and libdmapsharing


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26371 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quagga: Renumber patches
acinonyx []
[packages] quagga: Renumber patches

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26362 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quagga: Change to PKG_FIXUP:=autoreconf
acinonyx []
[packages] quagga: Change to PKG_FIXUP:=autoreconf

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26361 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quagga: Update to v0.99.18
acinonyx []
[packages] quagga: Update to v0.99.18

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26360 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] newt: Fixed whiptail install so that it takes the files from the package build dir, not the non-existant package install dir
cshore []
[libs] newt: Fixed whiptail install so that it takes the files from the package build dir, not the non-existant package install dir

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26357 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoUpdate dmapd and libdmapsharing to new upstream versions
flyn []
Update dmapd and libdmapsharing to new upstream versions

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26348 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] upgrade mc to 4.7.5.1
florian []
[package] upgrade mc to 4.7.5.1

Signed-off-by: Luka Perkov < openwrt ->-to->- lukaperkov.net >

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26347 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] collected: add modbus plugin.
florian []
[package] collected: add modbus plugin.

This enables the modbus plugin of collectd and patches it so it works with the current version of libmodbus

Signed-off-by: Daniel Golle <daniel.golle@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26346 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] add libmodbus
florian []
[package] add libmodbus

Apparently people are already using libmodbus on OpenWrt, but there is no package.
(see http://zagrodzki.net/~sebek/openwrt/packages/libmodbus.so )
So I made a Makefile for it, I'd be happy to be the package maintainer for that.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26345 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] flashrom: update to 0.9.3 and fix dependency
florian []
[package] flashrom: update to 0.9.3 and fix dependency

Bump flashrom to current version, and reflect that it uses dmidecode as a helper.

Signed-off-by: Philip Prindeville <philipp@redfish-solutions.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26343 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] freeradius2: add rlm_sql_sqlite and rlm_passwd
florian []
[package] freeradius2: add rlm_sql_sqlite and rlm_passwd

This patch adds rlm_sql_sqlite, rlm_passwd modules for freeradius2.
It patches the rlm_sql_sqlite in order to work (authorization is working, accounting not yet tested).
It adds radwho to the utils.

Thanks in advance.

Signed-off-by: Etienne CHAMPETIER <etienne.champetier@free.fr>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26342 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] php5: Fix build when simplexml is selected (#7758)
florian []
[package] php5: Fix build when simplexml is selected (#7758)

The build fails since the php module is statically disabled. This patch
adds the required magic.

This should also finally close #7758.

Signed-off-by: Michael Heimpold <mhei@heimpold.de>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26341 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] triggerhappy: update to version 0.3.4
florian []
[package] triggerhappy: update to version 0.3.4

Signed-off-by: Stefan Tomanek <stefan.tomanek+openwrt@wertarbyte.de>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26340 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] squid: enable 'null' storeio module
florian []
[package] squid: enable 'null' storeio module

This patch enables the 'null' storeio module to be build along with the default 'ufs' module.
It allows squid to optionally be used without any disk storage.

Signed-off-by: Daniel Golle <daniel.golle@gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26339 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] update avahi to included D-Bus support, libavahi-client library and avahi-utils tools (#8929)
florian []
[package] update avahi to included D-Bus support, libavahi-client library and avahi-utils tools (#8929)

This updates the avahi package as follows:

1. The libavahi-client library can be selected.

2. The following avahi utilities can be selected:
avahi-browse, aka: avahi-browse-domains
avahi-publish, aka: avahi-publish-address, avahi-publish-service
avahi-resolve, aka: avahi-resolve-address, avahi-resolve-host-name
avahi-set-host-name.

Notes:
(a) This patch applies to avahi 0.6.29 -- I sent in the previous version
for 0.6.28 just after 0.6.29 came out, duh. :(

(b) The libavahi-client library and the avahi utilities require avahi to
be compiled with D-Bus support, and D-Bus must be included in
the build. If they are not selected, avahi is compiled without D-Bus
support, as it is at present.

(c) The init.d start priority of avahi-daemon is changed from 50 to 61
so that it loads after D-Bus.

The patch in Ticket #8929 has two problems, IMHO:
1. It makes the D-Bus package a compulsory requirement for avahi, even
though it's only really needed if you select the libavahi-client library.
(This patch makes D-Bus compulsory only if you select the
libavahi-client library or the avahi utilities which depend on them.)

2. The avahi-daemon will fail to start because the D-Bus daemon is set
to start up _after_ avahi-daemon starts looking for it.
(This patch adjusts the init.d start priority of the avahi-daemon to
later than that of D-Bus.)

Signed-off-by: Mike Brady <mikebrady@eircom.net>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26338 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] update usbutils to 002
florian []
[package] update usbutils to 002

Update to version 002, also adds dependencies on librt and libpthread

Signed-of-by: Maarten Bezemer

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26337 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] update pmacct to 0.12.5
florian []
[package] update pmacct to 0.12.5

This patch update pmacct from 0.10.3 (21-06-2006) to 0.12.5 (28-12-2010)

Thanks in advance.

Signed-off-by: Etienne CHAMPETIER <etienne.champetier@free.fr>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26336 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] gpsd: use autogen.sh
florian []
[package] gpsd: use autogen.sh

attach is the patch, fix the compile error:

libtool: Version mismatch error. This is libtool 2.2.6 Debian-2.2.6a-4, but the
libtool: definition of this LT_INIT comes from libtool 2.2.6b.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6 Debian-2.2.6a-4
libtool: and run autoconf again.

patch from Xiangfu Liu

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26335 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[package] update ffmpeg to 0.5.4
florian []
[package] update ffmpeg to 0.5.4

Version bump ffmpeg from 0.5.2 to 0.5.4. 0.5.3 and 0.5.4 are maintenance only releases for security and minor bug fixes.

Signed-off-by: Ian Leonard <antonlacon_at_gmail.com>

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26334 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/iputils: beautify brcm47xx fix (make owrt devs happy)
acoul []
net/iputils: beautify brcm47xx fix (make owrt devs happy)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26282 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/iputils: include a missing option (thanks Hauke)
acoul []
net/iputils: include a missing option (thanks Hauke)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26279 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/iputils: fix ping & arping under brcm47xx.
acoul []
net/iputils: fix ping & arping under brcm47xx.


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26278 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] perl: make sure that staging_dir/*/usr/lib/perl5 is in host perl's @INC (#9111)
jow []
[packages] perl: make sure that staging_dir/*/usr/lib/perl5 is in host perl's @INC (#9111)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26277 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] coreutils: revert r26169, its just plain wrong
jow []
[packages] coreutils: revert r26169, its just plain wrong


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26270 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] zile: update to 2.3.23
swalker []
[packages] zile: update to 2.3.23


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26266 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] tor-alpha: update to 0.2.2.23-alpha, add missing librt dependency, use secure urls
swalker []
[packages] tor-alpha: update to 0.2.2.23-alpha, add missing librt dependency, use secure urls


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26265 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Added packages for files under /usr/share/yate, and created a minimal package collection for easy install.
cshore []
[net] Telephony: Yate: Added packages for files under /usr/share/yate, and created a minimal package collection for easy install.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26263 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] zaptel-1.4.x: Added hotplug script to create correct Zaptel device nodes (hotplug's autocreate does the wrong thing).
cshore []
[libs] zaptel-1.4.x: Added hotplug script to create correct Zaptel device nodes (hotplug's autocreate does the wrong thing).

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26262 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Fixed build problems that prevented server modules from loading. (Must not use libtool fixup). Also added copy of SNMP files to /usr/share/yate/data as is expected when the ysnmpagent module is installed. Also switched to using PKG_INSTALL instead of copying object from source/build tree.
cshore []
[net] Telephony: Yate: Fixed build problems that prevented server modules from loading. (Must not use libtool fixup). Also added copy of SNMP files to /usr/share/yate/data as is expected when the ysnmpagent module is installed. Also switched to using PKG_INSTALL instead of copying object from source/build tree.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26256 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] binutils: fix linking to libiberty (#9048)
jow []
[packages] binutils: fix linking to libiberty (#9048)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26254 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoKeep files in /etc/openvpn during sysupgrade
thepeople []
Keep files in /etc/openvpn during sysupgrade

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26243 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] zaptel-1.4.x: Build more of the utils for testing and configureing Zaptel cards.
cshore []
[libs] zaptel-1.4.x: Build more of the utils for testing and configureing Zaptel cards.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26236 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] zaptel14: Split ztdummy timer module into a speparate pacakge because we don't want to install it on x86 (because it is broken there).
cshore []
[libs] zaptel14: Split ztdummy timer module into a speparate pacakge because we don't want to install it on x86 (because it is broken there).

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26235 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] [utils]: newt: Added source package newt which provides libnewt, a lightweight text console windowing library, and whiptail a lightweight dialog replacement. Depends on S-Lang library (slang2 source package)
cshore []
[libs] [utils]: newt: Added source package newt which provides libnewt, a lightweight text console windowing library, and whiptail a lightweight dialog replacement. Depends on S-Lang library (slang2 source package)

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26234 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[libs] slang2: Added S-Lang Library, used by libnewt and also providing the S-Lang Shell
cshore []
[libs] slang2: Added S-Lang Library, used by libnewt and also providing the S-Lang Shell

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26233 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Corrected copyright header to reflect reality (i.e. because I created the Yate package for SMBPhone they own the copyright, but they have given permission to include it OpenWrt. This doesn't change based on what's written in the file, so might as well be accurate).
cshore []
[net] Telephony: Yate: Corrected copyright header to reflect reality (i.e. because I created the Yate package for SMBPhone they own the copyright, but they have given permission to include it OpenWrt. This doesn't change based on what's written in the file, so might as well be accurate).
* Also bumped package version as I forgot previously.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26219 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephone: Yate: Removed @BROKEN from Yate. It appears to work, except for the modules marked as broken.
cshore []
[net] Telephone: Yate: Removed @BROKEN from Yate. It appears to work, except for the modules marked as broken.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26210 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] IP Addresses and Names: Fixed using single IP addresses instead of always required n.n.n.n/n even for single IP's.
cshore []
[net] IP Addresses and Names: Fixed using single IP addresses instead of always required n.n.n.n/n even for single IP's.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26206 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] IP Addresses and Names: miniupnpd: Added rule to allow high ports be default. This fixes miniupnpd default to config so that it works as expected after installed and enabled. Also added comments for the UI, and removed the example config file as it is no longer needed.
cshore []
[net] IP Addresses and Names: miniupnpd: Added rule to allow high ports be default. This fixes miniupnpd default to config so that it works as expected after installed and enabled. Also added comments for the UI, and removed the example config file as it is no longer needed.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26205 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agonet/mtr: remove libresolv dependency
acoul []
net/mtr: remove libresolv dependency


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26188 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] net: add a bmx6 package (thanks to Axel)
nico []
[packages] net: add a bmx6 package (thanks to Axel)



git-svn-id: svn://svn.openwrt.org/openwrt/packages@26187 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Added conffiles. Fixes overwriting of configuration on reinstall/update.
cshore []
[net] Telephony: Yate: Added conffiles. Fixes overwriting of configuration on reinstall/update.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26184 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Fixed bigendian test to use CONFIG_BIG_ENDIAN, not a cached autoconf variable. Thanks jow for pointing this out.
cshore []
[net] Telephony: Yate: Fixed bigendian test to use CONFIG_BIG_ENDIAN, not a cached autoconf variable. Thanks jow for pointing this out.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26179 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: Yate: Added -DBIGENDIAN to TARGET_CFLAGS when the target is big endian. This fixes things like MD5 code in Yate for big endian targets. Closes #9049. Thanks to Dmitry Kurochkin for pointing this out.
cshore []
[net] Telephony: Yate: Added -DBIGENDIAN to TARGET_CFLAGS when the target is big endian. This fixes things like MD5 code in Yate for big endian targets. Closes #9049. Thanks to Dmitry Kurochkin for pointing this out.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26178 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: yate: Removed sysconfdir parameter from CONFIGURE_ARGS. This fixes yate looking for configuration under /etc/yate/yate instead /etc/yate. Closes: 9040. Thanks Dimtiry Kurchkin for reporting.
cshore []
[net] Telephony: yate: Removed sysconfdir parameter from CONFIGURE_ARGS. This fixes yate looking for configuration under /etc/yate/yate instead /etc/yate. Closes: 9040. Thanks Dimtiry Kurchkin for reporting.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26174 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] Telephony: yate: Added needed libraries and flags to configure for Yate to execute not just compile. Closes: #9039 and Closes: #9043. Based on patch and tickets from Dimitry Kurochkin. Thanks!
cshore []
[net] Telephony: yate: Added needed libraries and flags to configure for Yate to execute not just compile. Closes: #9039 and Closes: #9043. Based on patch and tickets from Dimitry Kurochkin. Thanks!

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26173 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[utils] coreutils: Stopped coreutils from building as long as no plugin is selected.
cshore []
[utils] coreutils: Stopped coreutils from building as long as no plugin is selected.
with commit 26026 (https://dev.openwrt.org/changeset/26026)
I see the coreutils package downloaded and build in my defconfig.

With the following patch, this default selection really does no build,
as long as no plugin is selected.
Thanks to Thomas Langer for this patch.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26169 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] babeld: patch minor bug until next release
kerneis []
[packages] babeld: patch minor bug until next release

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26159 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[net] various: Fixed openser and updatedd modules appearing in main list instead of under the openser and updatedd packages.
cshore []
[net] various: Fixed openser and updatedd modules appearing in main list instead of under the openser and updatedd packages.

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26155 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] gst-plugins-good: enable icydemux and souphttpsrc plugins (#8762)
jow []
[packages] gst-plugins-good: enable icydemux and souphttpsrc plugins (#8762)


git-svn-id: svn://svn.openwrt.org/openwrt/packages@26153 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years ago[packages] quagga: Fix ownership of configuration directory and files
acinonyx []
[packages] quagga: Fix ownership of configuration directory and files

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26151 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoopenssh: do not touch /etc/services
nbd []
openssh: do not touch /etc/services

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26149 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoopenntpd: remove the postinst script for updating services, group, passwd
nbd []
openntpd: remove the postinst script for updating services, group, passwd

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26148 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoleafnode: do not touch /etc/services
nbd []
leafnode: do not touch /etc/services

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26147 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agontpd: remove the postinst script for updating /etc/services
nbd []
ntpd: remove the postinst script for updating /etc/services

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26146 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoatftp: remove the postinst script for updating /etc/services
nbd []
atftp: remove the postinst script for updating /etc/services

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26145 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoquagga: remove the postinst script
nbd []
quagga: remove the postinst script

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26144 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoproftpd: remove the postinst script for users/groups
nbd []
proftpd: remove the postinst script for users/groups

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26140 3c298f89-4303-0410-b956-a3cf2f4a3e73

9 years agoalsa-driver: adding the audio group is no longer necessary
nbd []
alsa-driver: adding the audio group is no longer necessary

git-svn-id: svn://svn.openwrt.org/openwrt/packages@26135 3c298f89-4303-0410-b956-a3cf2f4a3e73

comments